List searches
List previous searches for your organization.
GET
/
api
/
v1
/
search
List searches
curl --request GET \
--url https://developer.thehog.ai/api/v1/search \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/search"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"query": "<string>",
"created_at": "<string>",
"poll_url": "<string>",
"results": [
{
"url": "<string>",
"title": "<string>",
"content": "<string>",
"published_at": "<string>",
"author_name": "<string>",
"author_headline": "<string>",
"id": "<string>",
"platform_video_id": "<string>",
"post_url": "<string>",
"author_username": "<string>"
}
],
"total_results": 123,
"error": {
"message": "<string>",
"retryable": true
},
"completed_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}GET /api/v1/search
List all search operations.List all searches for your organization.
Example
curl https://developer.thehog.ai/api/v1/search?limit=5 \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Query Parameters
Page size (max 200)
⌘I
List searches
curl --request GET \
--url https://developer.thehog.ai/api/v1/search \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/search"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"query": "<string>",
"created_at": "<string>",
"poll_url": "<string>",
"results": [
{
"url": "<string>",
"title": "<string>",
"content": "<string>",
"published_at": "<string>",
"author_name": "<string>",
"author_headline": "<string>",
"id": "<string>",
"platform_video_id": "<string>",
"post_url": "<string>",
"author_username": "<string>"
}
],
"total_results": 123,
"error": {
"message": "<string>",
"retryable": true
},
"completed_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}